> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link multiple documents and delegations



## OpenAPI

````yaml patch /v1/delegations/bulk-link-documents
openapi: 3.0.0
info:
  title: Decision APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/decision
  - url: https://staging.api.eu.aptlydone.com/decision
  - url: https://api.us.aptlydone.com/decision
  - url: https://api.eu.aptlydone.com/decision
security: []
tags: []
paths:
  /v1/delegations/bulk-link-documents:
    patch:
      tags:
        - delegations
      summary: Link multiple documents and delegations
      operationId: DelegationController_bulkLinkDocuments_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DelegationsBulkLinkDocumentsDto'
      responses:
        '200':
          description: Documents are being linked to delegations
      security:
        - accessToken: []
components:
  schemas:
    DelegationsBulkLinkDocumentsDto:
      type: object
      properties:
        tenantId:
          type: string
          format: uuid
          description: Tenant ID
          example: 123e4567-e89b-12d3-a456-426614174000
        delegationIds:
          description: Array of delegation IDs to link documents to
          example:
            - 123e4567-e89b-12d3-a456-426614174001
            - 123e4567-e89b-12d3-a456-426614174002
          type: array
          items:
            type: string
        documentIds:
          description: Array of document IDs to link with delegations
          example:
            - 123e4567-e89b-12d3-a456-426614174003
            - 123e4567-e89b-12d3-a456-426614174004
          type: array
          items:
            type: string
      required:
        - tenantId
        - delegationIds
        - documentIds
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````